Summary:	SIP swiss army knife
Name:		sipsak
Version:	0.9.6
Release:	25%{?dist}
License:	GPLv2+
Group:		Applications/Communications
URL:		http://sipsak.org/
Source0:	http://download.berlios.de/sipsak/%{name}-%{version}-1.tar.gz
Patch1:		sipsak-0001-Fix-for-wrong-arity-of-callback-function-for-c-ares.patch
Patch2:		sipsak-0002-Fix-inline-function-usage.patch
BuildRequires:	openssl-devel
#BuildRequires:	gnutls-devel
#BuildRequires:	ruli-devel
BuildRequires:	c-ares-devel
# For autoreconf
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool

%description
sipsak is a small command line tool for developers and
administrators of Session Initiation Protocol (SIP) applications.
It can be used for some simple tests on SIP applications and
devices.

%prep
%setup -q
%patch1 -p1 -b .fix_arity
%patch2 -p1 -b .fix_c11
autoreconf -ivf

%build
%configure --disable-gnutls
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
rm -f %{buildroot}/%{_libdir}/*.la

%files
%doc AUTHORS ChangeLog NEWS README TODO
%license COPYING
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.6-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.6-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.6-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Aug 31 2016 Peter Lemenkov <lemenkov@gmail.com> - 0.9.6-22
- Fixed build failure with c11

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.6-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Aug 12 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.9.6-20
- Append -std=gnu89 to CFLAGS (Address F23FTBFS, RHBZ#1240007).
- Modernize spec.
- Add %%license.

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jul 21 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.9.6-15
- Reconfigure to allow building on AArch64

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov 16 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.9.6-11
- Proper fix for rhbz #753372 now

* Tue Nov 15 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.9.6-10
- Fix rhbz #753372

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 0.9.6-8
- rebuilt with new openssl

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 17 2009 Tomas Mraz <tmraz@redhat.com> 0.9.6-5
- rebuild with new openssl

* Thu Sep 04 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.9.6-4
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.6-3
- Autorebuild for GCC 4.3

* Fri Dec 07 2007 Release Engineering <rel-eng at fedoraproject dot org> - 0.9.6-2
- Rebuild for deps

* Sun Sep 17 2006 Peter Lemenkov <lemenkov@gmail.com> 0.9.6-1
- Initial build for FE

* Wed Feb 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.6-1mdk
- 0.9.6
- disable gnutls support
- fix deps

* Sun Apr 24 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.12-1mdk
- initial Mandriva package
